Subject: The NR-bit - Time to put it at rest?

From: "Anders Rundgren" <[email-masked]>
Date: Sun, 8 Oct 2006 09:29:07 +0200

https://bugzilla.mozilla.org/show_bug.cgi?id=328346

The NR-bit concept was probably a good idea some 10 years ago.
Today it creates interoperability issues.

In addition, people are nowadays convicted based on IP address logs
and similar, making the legal significance of a specific NR bit, very limited.

To make it even worse, the creators of the NR-bit stuff never thought
of how software should handle the situation where a specific entity had
multiple certificates for different purposes.  In fact, I have a collection
of genuine EU eID certificates, where not even the subject DN is identical
for the different certificates although they all came in the same package.

If there actually is any point is continuing having different certificates
for authentication and signatures, it seems that there are [still] things
missing in terms of standards in order to maintain interoperability.

Anders Rundgren